Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(49)

Issue 2595543002: Refactor webrtc/modules/video_processing for GN check (Closed)

Created:
4 years, 2 months ago by mbonadei
Modified:
4 years, 2 months ago
Reviewers:
*kjellander_webrtc
CC:
webrtc-reviews_webrtc.org, video-team_agora.io, yujie_mao (webrtc), zhengzhonghou_agora.io, stefan-webrtc, tterriberry_mozilla.com, qiang.lu, niklas.enbom, peah-webrtc
Target Ref:
refs/heads/master
Project:
webrtc
Visibility:
Public.

Description

Refactor webrtc/modules/video_processing for GN check This moves some GN check configurations out of .gn to individual targets. The now checked target is: "//webrtc/modules/video_processing/*" BUG=webrtc:6828 NOTRY=True Review-Url: https://codereview.webrtc.org/2595543002 Cr-Commit-Position: refs/heads/master@{#15732} Committed: https://chromium.googlesource.com/external/webrtc/+/00a810b844b2393b64f7e36ce1524dd9e3dccb4b

Patch Set 1 #

Total comments: 4

Patch Set 2 : Avoiding to refactor :video_processing_sse2 (cyclic dependency) #

Patch Set 3 : Avoiding to refactor :video_processing_sse2 (cyclic dependency) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+11 lines, -0 lines) Patch
M .gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M webrtc/modules/video_processing/BUILD.gn View 1 2 chunks +10 lines, -0 lines 0 comments Download

Messages

Total messages: 20 (9 generated)
mbonadei
4 years, 2 months ago (2016-12-20 12:53:21 UTC) #3
kjellander_webrtc
https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn File webrtc/modules/video_processing/BUILD.gn (right): https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn#newcode51 webrtc/modules/video_processing/BUILD.gn:51: "util/denoiser_filter.cc", This looks incorrect. These files are already listed ...
4 years, 2 months ago (2016-12-20 13:25:19 UTC) #4
mbonadei
https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn File webrtc/modules/video_processing/BUILD.gn (right): https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn#newcode51 webrtc/modules/video_processing/BUILD.gn:51: "util/denoiser_filter.cc", On 2016/12/20 13:25:19, kjellander_webrtc wrote: > This looks ...
4 years, 2 months ago (2016-12-20 13:39:43 UTC) #5
kjellander_webrtc
https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn File webrtc/modules/video_processing/BUILD.gn (right): https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn#newcode51 webrtc/modules/video_processing/BUILD.gn:51: "util/denoiser_filter.cc", On 2016/12/20 13:39:43, mbonadei wrote: > On 2016/12/20 ...
4 years, 2 months ago (2016-12-20 14:00:21 UTC) #6
mbonadei
https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn File webrtc/modules/video_processing/BUILD.gn (right): https://codereview.webrtc.org/2595543002/diff/1/webrtc/modules/video_processing/BUILD.gn#newcode51 webrtc/modules/video_processing/BUILD.gn:51: "util/denoiser_filter.cc", On 2016/12/20 14:00:21, kjellander_webrtc wrote: > On 2016/12/20 ...
4 years, 2 months ago (2016-12-20 15:54:28 UTC) #7
kjellander_webrtc
lgtm CCing stefan@webrtc.org since it would be nice to get this cleaned up.
4 years, 2 months ago (2016-12-20 18:43:30 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2595543002/20001
4 years, 2 months ago (2016-12-21 07:45:20 UTC) #11
commit-bot: I haz the power
Failed to apply patch for .gn: While running git apply --index -p1; error: patch failed: ...
4 years, 2 months ago (2016-12-21 07:50:16 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.webrtc.org/2595543002/40001
4 years, 2 months ago (2016-12-21 09:58:12 UTC) #16
commit-bot: I haz the power
Committed patchset #3 (id:40001) as https://chromium.googlesource.com/external/webrtc/+/00a810b844b2393b64f7e36ce1524dd9e3dccb4b
4 years, 2 months ago (2016-12-21 10:01:30 UTC) #19
mbonadei
4 years, 2 months ago (2016-12-21 10:18:49 UTC) #20
Message was sent while issue was closed.
A revert of this CL (patchset #3 id:40001) has been created in
https://codereview.webrtc.org/2594973002/ by mbonadei@webrtc.org.

The reason for reverting is: This CL broke some buildbots. I will investigate it
later..

Powered by Google App Engine
This is Rietveld 408576698